// --------------------------------------------------------------------------------------------------------------------------------
//      _         _                      _     
//     | |       | |                    | |    
//  ___| | __ ___| | __ _  ___ _ __     | |__  
// / __| |/ // _ \ |/ _` |/ _ \ '_ \    | '_ \ 
// \__ \   <|  __/ | (_| |  __/ | | | _ | | | |
// |___/_|\_\\___|_|\__, |\___|_| |_|(_)|_| |_|
//                   __/ |                     
//                  |___/                      
// Primary SkelGen application class (Windows version)
//
// Best viewed with 8-character tabs and (at least) 132 columns
//
// ---------------------------------------------------------------------------------------------------------------------------------
//
// Restrictions & freedoms pertaining to usage and redistribution of this software:
//
//  * This software is 100% free
//  * If you use this software (in part or in whole) you must credit the author.
//  * This software may not be re-distributed (in part or in whole) in a modified
//    form without clear documentation on how to obtain a copy of the original work.
//  * You may not use this software to directly or indirectly cause harm to others.
//  * This software is provided as-is and without warrantee. Use at your own risk.
//
// For more information, visit HTTP://www.FluidStudios.com
//
// --------------------------------------------------------------------------------------------------------------------------------
// Originally created on 10/23/2000 by Paul Nettle (midnight@FluidStudios.com)
//
// Copyright 2000, Fluid Studios, Inc., all rights reserved.
// --------------------------------------------------------------------------------------------------------------------------------

#ifndef	_H_SKELGEN
#define	_H_SKELGEN

#include "common.h"

// --------------------------------------------------------------------------------------------------------------------------------
#ifdef _MSC_VER
class	CSkelGenApp : public CWinApp
{
public:
			CSkelGenApp();

	//{{AFX_VIRTUAL(CSkelGenApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CSkelGenApp)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

extern	CSkelGenApp	theApp;

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
#endif // _MSC_VER

#endif // _H_SKELGEN
// --------------------------------------------------------------------------------------------------------------------------------
// SkelGen.h - End of file
// --------------------------------------------------------------------------------------------------------------------------------

